/* Pricing cards */
.pricing_wrapper{
    padding: 80px 0;
}
.pricing {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  justify-content: center;
}

.pricing .card {
  width: 280px;
    background: #efeff6;
    border-radius: 20px;
    padding: 25px;
    text-align: center;
    transition: 0.3s;
    border: 3px solid #3f4079;
    color: #3f4079;
    box-shadow: 0 22px 20px rgba(0, 0, 0, 0.2);
}

.pricing .card:hover {
  transform: translateY(-10px);
  border-color: #3f4079;
}

.pricing .card h2 {
    margin-bottom: 10px;
    font-weight: bold;
    font-size: 40px;
}

.pricing .price {
    font-size: 40px;
    margin: 20px 0;
    color: #1ca3ae;
    font-weight: bold;
}

.pricing ul {
  list-style: none;
  margin: 20px 0;
}

.pricing ul li {
  margin: 10px 0;
  opacity: 0.8;
}

.pricing .btn {
  display: inline-block;
  margin-top: 15px;
  padding: 10px 20px;
  border-radius: 10px;
  background: #1ca3ae;
  color: black;
  font-weight: bold;
  cursor: pointer;
  transition: 0.3s;
}

.pricing  .btn:hover {
  background: #1ca3ae;
}

.pricing  .badge {
  background: gold;
  color: black;
  padding: 5px 10px;
  border-radius: 10px;
  font-size: 12px;
  display: inline-block;
  margin-bottom: 20px;
}



.section-title {
  margin-top: 70px;
  font-size: 28px;
  text-align: center;
  background: linear-gradient(90deg, #38bdf8, #a78bfa);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.compare-wrapper {
  margin-top: 80px;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  border-radius: 20px;
  overflow: hidden;
  background: rgba(15, 23, 42, 0.8);
  backdrop-filter: blur(10px);
  border: 1px solid rgba(255,255,255,0.08);
}

/* Header */
.compare-header {
    display: grid;
    grid-template-columns: 2fr 1fr 1fr;
    background: #3f4079;
    padding: 15px;
    font-weight: bold;
    color: #fff;
    text-align: center;
}

/* Rows */
.compare-row {
    display: grid;
    grid-template-columns: 2fr 1fr 1fr;
    padding: 15px;
    text-align: center;
    border-top: 1px solid #3f4079;
    transition: 0.3s;
    background: #efeff6;
}

.compare-row:hover {
  background: rgba(56, 189, 248, 0.08);
  transform: scale(1.01);
}

/* First column */
.compare-row div:first-child {
  text-align: left;
  padding-left: 10px;
  font-weight: 500;
}

.compare-row:hover div:first-child{
    color: #fff;
}

/* Yes / No */
.yes {
  color: #22c55e;
  font-size: 18px;
  font-weight: bold;
}

.no {
  color: #ef4444;
  font-size: 18px;
  font-weight: bold;
}

/* Responsive */
@media (max-width: 768px) {
  .compare-header, .compare-row {
    grid-template-columns: 2fr 1fr 1fr 1fr;
    font-size: 12px;
  }
}

.select-user{
    border: 0;
    margin: 0;
    box-sizing: border-box;
    -webkit-appearance: none;
    -moz-appearance: none;
    border-radius: 30px;
    font-size: 18px;
    color: #fff;
    line-height: 1.5em;
    padding: 0.5em 3.5em 0.5em 1em;
    background-image: linear-gradient(45deg, transparent 50%, white 50%), linear-gradient(135deg, white 50%, transparent 50%), linear-gradient(to right, #fff, #fff);
    background-position: calc(100% - 20px) calc(1em + 2px), calc(100% - 15px) calc(1em + 2px), calc(100% - 2.5em) 0.5em;
    background-size: 5px 5px, 5px 5px, 1px 1.5em;
    background-repeat: no-repeat;
    background-color: var(--primary-color);
}


/* ===== MOBILE ===== */
@media (max-width: 600px) {

    .compare-wrapper {
        overflow-x: auto; /* scroll horizontal */
    }

    .compare-header,
    .compare-row {
        min-width: 500px; /* force largeur pour scroll */
        grid-template-columns: 250px 120px 120px;
    }
}